<template>
   <v-container>
      <v-col sm="6">
        <TodoCard :info="todoItem" mode="editable"/>
      </v-col>
   </v-container>
</template>

<script>
import TodoCard from '../components/Card'
export default {
  components:{
    TodoCard
  },
  computed:{
        todoItem: {
            get(){
              let id = this.$route.params.id;
              return this.$store.getters.todoList.slice().filter(item => {
                return item.id == id
              })[0];
            }
        }
    },
}
</script>

<style lang="scss">
  .todoCard {
        background: #f8f88f;
        max-width: 30%;
        min-width: 200px;
        height: 150px;
    }
</style>